.field-label {
  font-weight: bold;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.field-label label {
  margin-left: 8px;
}

.field-value select,.field-value input {
  width: 100%;
}

.field-value-width-60 input {
  width: 60px !important;
}

/*
  Using the first-child pseudo element below just to make it
  so the first tab form doesn't span the entire page. Basically
  any tab we have, the first tab are the forms for the page.
  Any other tabs are grids. This will limit the width of the first tab,
  while allowing the grids to span the entire width.
*/
.form-content, .tab-content {
  max-width: 2000px;
}

input {
  border: 1px solid rgb(170, 183, 184);
  padding-left: 10px;
}

.custom-file-label, :required {
  border-left: 5px solid #b90101;
  border-radius: 2px;
}

:disabled{
  background-color: rgb(234, 237, 237)
}

.row.section-header h4 {
  width:100%;
  padding: 0px 12px;
  display: inline-block;
  border-bottom: 1px solid #dee2e6;
  margin-top: 10px;
  margin-bottom: 12px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.row.section-header h5, .row.section-header h6  {
  width:100%;
  padding: 0px 24px;
  display: inline-block;
  border-bottom: 1px solid #dee2e6;
  margin-top: 6px;
  margin-bottom: 8px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.field-row {
  margin: 6px;
}

.validation-failed, [validation-failed] {
  background-color: #ce090950;
}

.date-picker-default {
  border-left: 5px solid #b90101;
}

.form-check {
  margin-bottom: 12px;
}

.form-check input[type=checkbox]{
  width: 20px; /* Don't center in cell. */
}

.check-enabled input[type=checkbox]:enabled, .check-enabled label {
  cursor: pointer;
}

.form-check label {
  padding-left: 4px;
  font-weight: 700;
}

.device-edit-form-image .device-image {
  width: 50px;
}

@media (min-width: 992px) {
  .device-edit-form-image .device-image {
    width: 100%;
  }
}

.field-row .device-status {
  padding-top: 3px;
}

.no-resize {
  resize: none;
}
